Index: cbv2/src/mainboard/tyan/s4880/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s4880/Options.lb
+++ cbv2/src/mainboard/tyan/s4880/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -90,14 +90,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=22
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/tyan/s4882/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s4882/Config.lb
+++ cbv2/src/mainboard/tyan/s4882/Config.lb
@@ -11,8 +11,8 @@ arch i386 end 
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 	if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/tyan/s4882/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/tyan/s4882/Makefile.inc
+++ cbv2/src/mainboard/tyan/s4882/Makefile.inc
@@ -21,8 +21,8 @@
 
 driver-y += mainboard.o
 
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/tyan/s4882/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s4882/Options.lb
+++ cbv2/src/mainboard/tyan/s4882/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -90,14 +90,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=22
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/via/epia-cn/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia-cn/Config.lb
+++ cbv2/src/mainboard/via/epia-cn/Config.lb
@@ -25,9 +25,9 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_ACPI_TABLES
 	object fadt.o
 	object dsdt.o
 	object acpi_tables.o
Index: cbv2/src/mainboard/via/epia-cn/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/via/epia-cn/Makefile.inc
+++ cbv2/src/mainboard/via/epia-cn/Makefile.inc
@@ -21,12 +21,12 @@
 
 initobj-y += crt0.o
 obj-y += mainboard.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
 
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
 
 ldscript-y += ../../../../src/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscript-y += ../../../../src/cpu/x86/16bit/entry16.lds
Index: cbv2/src/mainboard/via/epia-cn/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia-cn/Options.lb
+++ cbv2/src/mainboard/via/epia-cn/Options.lb
@@ -19,8 +19,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -47,8 +47,8 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_CROSS_COMPILE
 uses CC
@@ -73,13 +73,13 @@ default CONFIG_CONSOLE_SERIAL8250 = 1
 default CONFIG_PCI_ROM_RUN = 0
 default CONFIG_CONSOLE_VGA = 0
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
 default CONFIG_HAVE_HARD_RESET = 0
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 9
-default CONFIG_HAVE_ACPI_TABLES = 0
+default CONFIG_GENERATE_ACPI_TABLES = 0
 default CONFIG_HAVE_OPTION_TABLE = 1
 default CONFIG_ROM_IMAGE_SIZE = 64 * 1024
 default CONFIG_FALLBACK_SIZE = CONFIG_ROM_IMAGE_SIZE
Index: cbv2/src/mainboard/via/epia-m/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia-m/Config.lb
+++ cbv2/src/mainboard/via/epia-m/Config.lb
@@ -14,11 +14,11 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 object vgabios.o
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object fadt.o
 	object dsdt.o
 	object acpi_tables.o
Index: cbv2/src/mainboard/via/epia-m/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/via/epia-m/Makefile.inc
+++ cbv2/src/mainboard/via/epia-m/Makefile.inc
@@ -22,11 +22,11 @@
 initobj-y += crt0.o
 obj-y += mainboard.o
 obj-y += vgabios.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
 
 ldscript-y += ../../../../src/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscript-y += ../../../../src/cpu/x86/16bit/entry16.lds
Index: cbv2/src/mainboard/via/epia-m/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia-m/Options.lb
+++ cbv2/src/mainboard/via/epia-m/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -27,8 +27,8 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_CROSS_COMPILE
 uses CC
@@ -61,7 +61,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Use TSC for udelay.
@@ -77,14 +77,14 @@ default CONFIG_HAVE_HARD_RESET=0
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=5
 
 
 ##
 ## Build code to load acpi tables
 ##
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 
 
 ##
Index: cbv2/src/mainboard/via/epia-m700/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia-m700/Config.lb
+++ cbv2/src/mainboard/via/epia-m700/Config.lb
@@ -25,9 +25,9 @@ include /config/nofailovercalculation.lb
 arch i386 end
 driver mainboard.o
 driver wakeup.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_ACPI_TABLES
   object fadt.o
   object dsdt.o
   # object ssdt.o
Index: cbv2/src/mainboard/via/epia-m700/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/via/epia-m700/Makefile.inc
+++ cbv2/src/mainboard/via/epia-m700/Makefile.inc
@@ -22,12 +22,12 @@
 initobj-y += crt0.o
 obj-y += mainboard.o
 obj-y += wakeup.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
 
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
 
 ldscript-y += ../../../../src/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscript-y += ../../../../src/cpu/x86/16bit/entry16.lds
Index: cbv2/src/mainboard/via/epia-m700/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia-m700/Options.lb
+++ cbv2/src/mainboard/via/epia-m700/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -46,8 +46,8 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -112,14 +112,14 @@ default CONFIG_CONSOLE_SERIAL8250 = 1
 default CONFIG_PCI_ROM_RUN = 0
 default CONFIG_CONSOLE_VGA = 0
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
 default CONFIG_HAVE_HARD_RESET = 0
 # TODO: There is an irq_tables.c file, should it be used?
-default CONFIG_HAVE_PIRQ_TABLE = 0
+default CONFIG_GENERATE_PIRQ_TABLE = 0
 default CONFIG_IRQ_SLOT_COUNT = 13
-default CONFIG_HAVE_ACPI_TABLES = 1
+default CONFIG_GENERATE_ACPI_TABLES = 1
 default CONFIG_HAVE_OPTION_TABLE = 1
 default CONFIG_ROM_IMAGE_SIZE = 128 * 1024
 default CONFIG_FALLBACK_SIZE = CONFIG_ROM_IMAGE_SIZE
Index: cbv2/src/mainboard/via/epia-m700/acpi_tables.c
===================================================================
--- cbv2.orig/src/mainboard/via/epia-m700/acpi_tables.c
+++ cbv2/src/mainboard/via/epia-m700/acpi_tables.c
@@ -43,9 +43,9 @@ extern u8 acpi_sleep_type;
 
 /*
  * These four macros are copied from <arch/smp/mpspec.h>, I have to do this
- * since the "default CONFIG_HAVE_MP_TABLE = 0" in Options.lb, and also since
+ * since the "default CONFIG_GENERATE_MP_TABLE = 0" in Options.lb, and also since
  * mainboard/via/... have no mptable.c (so that I can not set
- * CONFIG_HAVE_MP_TABLE = 1) as many other mainboards.
+ * CONFIG_GENERATE_MP_TABLE = 1) as many other mainboards.
  * So I have to copy these four to here. acpi_fill_madt() needs this.
  */
 #define MP_IRQ_POLARITY_HIGH	0x1
Index: cbv2/src/mainboard/via/epia-n/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia-n/Config.lb
+++ cbv2/src/mainboard/via/epia-n/Config.lb
@@ -34,13 +34,13 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 #object vgabios.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 #acpi_create_fadt is located in VT8237R code
 	makerule dsdt.c
 		depends "$(CONFIG_MAINBOARD)/dsdt.asl"
Index: cbv2/src/mainboard/via/epia-n/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/via/epia-n/Makefile.inc
+++ cbv2/src/mainboard/via/epia-n/Makefile.inc
@@ -21,11 +21,11 @@
 
 initobj-y += crt0.o
 obj-y += mainboard.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
 
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
 
 ldscript-y += ../../../../src/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscript-y += ../../../../src/cpu/x86/16bit/entry16.lds
Index: cbv2/src/mainboard/via/epia-n/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia-n/Options.lb
+++ cbv2/src/mainboard/via/epia-n/Options.lb
@@ -19,7 +19,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_HAVE_FAILOVER_BOOT
 uses CONFIG_USE_FAILOVER_IMAGE
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -50,8 +50,8 @@ uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
 uses CONFIG_SMP
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_CROSS_COMPILE
 uses CC
@@ -85,13 +85,13 @@ default CONFIG_HAVE_FAILOVER_BOOT = 0
 default CONFIG_USE_FAILOVER_IMAGE = 0
 default CONFIG_HAVE_FALLBACK_BOOT = 1
 default CONFIG_SMP = 1
-default CONFIG_HAVE_MP_TABLE = 1
+default CONFIG_GENERATE_MP_TABLE = 1
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
 default CONFIG_HAVE_HARD_RESET = 0
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7
-default CONFIG_HAVE_ACPI_TABLES = 1
+default CONFIG_GENERATE_ACPI_TABLES = 1
 default CONFIG_HAVE_OPTION_TABLE = 1
 #default CONFIG_ROM_IMAGE_SIZE = 67 * 1024
 default CONFIG_ROM_IMAGE_SIZE = 128 * 1024
Index: cbv2/src/mainboard/via/epia-n/acpi_tables.c
===================================================================
--- cbv2.orig/src/mainboard/via/epia-n/acpi_tables.c
+++ cbv2/src/mainboard/via/epia-n/acpi_tables.c
@@ -39,9 +39,9 @@ extern unsigned char AmlCode[];
 
 /*
  * These four macros are copied from <arch/smp/mpspec.h>, I have to do this
- * since the "default CONFIG_HAVE_MP_TABLE = 0" in Options.lb, and also since
+ * since the "default CONFIG_GENERATE_MP_TABLE = 0" in Options.lb, and also since
  * mainboard/via/... have no mptable.c (so that I can not set
- * CONFIG_HAVE_MP_TABLE = 1) as many other mainboards.
+ * CONFIG_GENERATE_MP_TABLE = 1) as many other mainboards.
  * So I have to copy these four to here. acpi_fill_madt() needs this.
  */
 #define MP_IRQ_POLARITY_DEFAULT	0x0
Index: cbv2/src/mainboard/via/epia/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia/Config.lb
+++ cbv2/src/mainboard/via/epia/Config.lb
@@ -13,7 +13,7 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 ##
Index: cbv2/src/mainboard/via/epia/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/via/epia/Makefile.inc
+++ cbv2/src/mainboard/via/epia/Makefile.inc
@@ -21,7 +21,7 @@
 
 initobj-y += crt0.o
 obj-y += mainboard.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 ldscript-y += ../../../../src/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscript-y += ../../../../src/cpu/x86/16bit/entry16.lds
Index: cbv2/src/mainboard/via/epia/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/via/epia/Options.lb
+++ cbv2/src/mainboard/via/epia/Options.lb
@@ -4,8 +4,8 @@ uses CONFIG_CONSOLE_SERIAL8250
 uses CONFIG_TTYS0_BAUD
 uses CONFIG_TTYS0_BASE
 uses CONFIG_TTYS0_LCS
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -35,7 +35,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -75,7 +75,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -93,7 +93,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=5
 #object irq_tables.o
 
Index: cbv2/src/mainboard/via/pc2500e/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/via/pc2500e/Config.lb
+++ cbv2/src/mainboard/via/pc2500e/Config.lb
@@ -24,9 +24,9 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_ACPI_TABLES
 	object fadt.o
 	object dsdt.o
 	object acpi_tables.o
Index: cbv2/src/mainboard/via/pc2500e/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/via/pc2500e/Makefile.inc
+++ cbv2/src/mainboard/via/pc2500e/Makefile.inc
@@ -21,12 +21,12 @@
 
 initobj-y += crt0.o
 obj-y += mainboard.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
 
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
 
 ldscript-y += ../../../../src/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscript-y += ../../../../src/cpu/x86/16bit/entry16.lds
Index: cbv2/src/mainboard/via/pc2500e/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/via/pc2500e/Options.lb
+++ cbv2/src/mainboard/via/pc2500e/Options.lb
@@ -19,8 +19,8 @@
 ##
 
 uses CONFIG_SMP
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -48,8 +48,8 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_CROSS_COMPILE
 uses CC
@@ -79,13 +79,13 @@ default CONFIG_PCI_ROM_RUN = 0
 default CONFIG_CONSOLE_VGA = 0
 default CONFIG_HAVE_FALLBACK_BOOT = 1
 default CONFIG_SMP = 1
-default CONFIG_HAVE_MP_TABLE = 1
+default CONFIG_GENERATE_MP_TABLE = 1
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
 default CONFIG_HAVE_HARD_RESET = 0
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 10
-default CONFIG_HAVE_ACPI_TABLES = 0
+default CONFIG_GENERATE_ACPI_TABLES = 0
 default CONFIG_HAVE_OPTION_TABLE = 1
 default CONFIG_USE_FALLBACK_IMAGE = 1
 default CONFIG_MAINBOARD_VENDOR = "VIA"
Index: cbv2/src/mainboard/via/vt8454c/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/via/vt8454c/Config.lb
+++ cbv2/src/mainboard/via/vt8454c/Config.lb
@@ -35,15 +35,15 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_MP_TABLE 
+if CONFIG_GENERATE_MP_TABLE 
 	object mptable.o 
 end
 
-if CONFIG_HAVE_PIRQ_TABLE 
+if CONFIG_GENERATE_PIRQ_TABLE 
 	object irq_tables.o 
 end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object fadt.o
 	object acpi_tables.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/via/vt8454c/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/via/vt8454c/Makefile.inc
+++ cbv2/src/mainboard/via/vt8454c/Makefile.inc
@@ -19,11 +19,11 @@
 
 driver-y += mainboard.o
 
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 initobj-y += crt0.o
 # FIXME in $(top)/Makefile
Index: cbv2/src/mainboard/via/vt8454c/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/via/vt8454c/Options.lb
+++ cbv2/src/mainboard/via/vt8454c/Options.lb
@@ -19,10 +19,10 @@
 ## MA 02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_IRQ_SLOT_COUNT
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_OPTION_TABLE
 uses CONFIG_USE_OPTION_TABLE
 uses CONFIG_HAVE_LOW_TABLES
@@ -118,19 +118,19 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=15
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to load acpi tables
 ##
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/northbridge/amd/amdfam10/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/amd/amdfam10/Config.lb
+++ cbv2/src/northbridge/amd/amdfam10/Config.lb
@@ -18,18 +18,18 @@
 #
 
 uses CONFIG_AGP_APERTURE_SIZE
-uses CONFIG_HAVE_ACPI_TABLES
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 default CONFIG_AGP_APERTURE_SIZE=0x4000000
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
 
 config chip.h
 
 driver northbridge.o
 driver misc_control.o
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object amdfam10_acpi.o
 	makerule ssdt.c
 		depends "$(TOP)/src/northbridge/amd/amdfam10/ssdt.dsl"
Index: cbv2/src/northbridge/amd/amdfam10/Makefile.inc
===================================================================
--- cbv2.orig/src/northbridge/amd/amdfam10/Makefile.inc
+++ cbv2/src/northbridge/amd/amdfam10/Makefile.inc
@@ -1,13 +1,13 @@
 driver-y += northbridge.o
 driver-y += misc_control.o
 
-obj-$(CONFIG_HAVE_ACPI_TABLES) += amdfam10_acpi.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += ssdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += sspr1.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += sspr2.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += sspr3.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += sspr4.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += sspr5.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += amdfam10_acpi.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr1.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr2.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr3.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr4.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr5.o
 
 obj-y += get_pci1234.o
 
Index: cbv2/src/northbridge/amd/amdk8/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/amd/amdk8/Config.lb
+++ cbv2/src/northbridge/amd/amdk8/Config.lb
@@ -1,10 +1,10 @@
 uses CONFIG_AGP_APERTURE_SIZE
-uses CONFIG_HAVE_ACPI_TABLES
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 uses CONFIG_K8_REV_F_SUPPORT
 
 default CONFIG_AGP_APERTURE_SIZE=0x4000000
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
 
 config chip.h
 
@@ -30,7 +30,7 @@ end
 end
 
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object amdk8_acpi.o
 end
 
Index: cbv2/src/northbridge/amd/amdk8/Makefile.inc
===================================================================
--- cbv2.orig/src/northbridge/amd/amdk8/Makefile.inc
+++ cbv2/src/northbridge/amd/amdk8/Makefile.inc
@@ -1,7 +1,7 @@
 driver-y += northbridge.o
 driver-y += misc_control.o
 obj-y += get_sblk_pci1234.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += amdk8_acpi.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += amdk8_acpi.o
 
 # Not sure what to do with these yet. How did raminit_test even work?
 # Should be a target in -y form.
Index: cbv2/src/northbridge/intel/i945/Makefile.inc
===================================================================
--- cbv2.orig/src/northbridge/intel/i945/Makefile.inc
+++ cbv2/src/northbridge/intel/i945/Makefile.inc
@@ -19,4 +19,4 @@
 
 driver-y += northbridge.o
 driver-y += gma.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi.o
Index: cbv2/src/southbridge/amd/amd8111/amd8111_acpi.c
===================================================================
--- cbv2.orig/src/southbridge/amd/amd8111/amd8111_acpi.c
+++ cbv2/src/southbridge/amd/amd8111/amd8111_acpi.c
@@ -66,7 +66,7 @@ static int lsmbus_write_byte(device_t de
 	return do_smbus_write_byte(res->base, device, address, val);
 }
 
-#if CONFIG_HAVE_ACPI_TABLES == 1
+#if CONFIG_GENERATE_ACPI_TABLES == 1
 unsigned pm_base;
 #endif
 
@@ -140,7 +140,7 @@ static void acpi_init(struct device *dev
 				(on*12)+(on>>1),(on&1)*5);
 	}
 
-#if CONFIG_HAVE_ACPI_TABLES == 1
+#if CONFIG_GENERATE_ACPI_TABLES == 1
 	pm_base = pci_read_config16(dev, 0x58) & 0xff00;
 	printk_debug("pm_base: 0x%04x\n",pm_base);
 #endif
Index: cbv2/src/southbridge/amd/cs5530/cs5530_pirq.c
===================================================================
--- cbv2.orig/src/southbridge/amd/cs5530/cs5530_pirq.c
+++ cbv2/src/southbridge/amd/cs5530/cs5530_pirq.c
@@ -23,7 +23,7 @@
 #include <device/pci.h>
 #include <device/pci_ids.h>
 
-#if (CONFIG_PIRQ_ROUTE==1 && CONFIG_HAVE_PIRQ_TABLE==1)
+#if (CONFIG_PIRQ_ROUTE==1 && CONFIG_GENERATE_PIRQ_TABLE==1)
 void pirq_assign_irqs(const unsigned char pIntAtoD[4])
 {
 	device_t pdev;
Index: cbv2/src/southbridge/amd/cs5536/cs5536_pirq.c
===================================================================
--- cbv2.orig/src/southbridge/amd/cs5536/cs5536_pirq.c
+++ cbv2/src/southbridge/amd/cs5536/cs5536_pirq.c
@@ -23,7 +23,7 @@
 #include <device/pci.h>
 #include <device/pci_ids.h>
 
-#if (CONFIG_PIRQ_ROUTE==1 && CONFIG_HAVE_PIRQ_TABLE==1)
+#if (CONFIG_PIRQ_ROUTE==1 && CONFIG_GENERATE_PIRQ_TABLE==1)
 void pirq_assign_irqs(const unsigned char pIntAtoD[4])
 {
 	device_t pdev;
Index: cbv2/src/southbridge/nvidia/ck804/Config.lb
===================================================================
--- cbv2.orig/src/southbridge/nvidia/ck804/Config.lb
+++ cbv2/src/southbridge/nvidia/ck804/Config.lb
@@ -1,4 +1,4 @@
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 
 config chip.h
 driver ck804.o
@@ -15,6 +15,6 @@ driver ck804_pcie.o
 driver ck804_ht.o
 object ck804_reset.o
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object ck804_fadt.o
 end
Index: cbv2/src/southbridge/nvidia/ck804/Makefile.inc
===================================================================
--- cbv2.orig/src/southbridge/nvidia/ck804/Makefile.inc
+++ cbv2/src/southbridge/nvidia/ck804/Makefile.inc
@@ -13,4 +13,4 @@ driver-y += ck804_ht.o
 
 obj-y += ck804_reset.o
 
-obj-$(CONFIG_HAVE_ACPI_TABLES) += ck804_fadt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += ck804_fadt.o
Index: cbv2/src/southbridge/nvidia/mcp55/Config.lb
===================================================================
--- cbv2.orig/src/southbridge/nvidia/mcp55/Config.lb
+++ cbv2/src/southbridge/nvidia/mcp55/Config.lb
@@ -19,7 +19,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ## 
 
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 
 config chip.h
 driver mcp55.o
@@ -35,6 +35,6 @@ driver mcp55_pci.o
 driver mcp55_pcie.o
 driver mcp55_ht.o
 object mcp55_reset.o
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object mcp55_fadt.o
 end
Index: cbv2/src/southbridge/nvidia/mcp55/Makefile.inc
===================================================================
--- cbv2.orig/src/southbridge/nvidia/mcp55/Makefile.inc
+++ cbv2/src/southbridge/nvidia/mcp55/Makefile.inc
@@ -11,6 +11,6 @@ driver-y += mcp55_smbus.o
 driver-y += mcp55_usb2.o
 driver-y += mcp55_usb.o
 
-driver-$(CONFIG_HAVE_ACPI_TABLES) += mcp55_fadt.o
+driver-$(CONFIG_GENERATE_ACPI_TABLES) += mcp55_fadt.o
 
 obj-y += mcp55_reset.o
Index: cbv2/src/southbridge/nvidia/mcp55/mcp55_smbus.c
===================================================================
--- cbv2.orig/src/southbridge/nvidia/mcp55/mcp55_smbus.c
+++ cbv2/src/southbridge/nvidia/mcp55/mcp55_smbus.c
@@ -94,7 +94,7 @@ static struct smbus_bus_operations lops_
 	.write_byte	= lsmbus_write_byte,
 };
 
-#if CONFIG_HAVE_ACPI_TABLES == 1
+#if CONFIG_GENERATE_ACPI_TABLES == 1
 unsigned pm_base;
 #endif
 
@@ -115,7 +115,7 @@ static void mcp55_sm_read_resources(devi
 
 static void mcp55_sm_init(device_t dev)
 {
-#if CONFIG_HAVE_ACPI_TABLES == 1
+#if CONFIG_GENERATE_ACPI_TABLES == 1
 	struct resource *res;
 
 	res = find_resource(dev, 0x60);
Index: cbv2/src/southbridge/via/vt8237r/Config.lb
===================================================================
--- cbv2.orig/src/southbridge/via/vt8237r/Config.lb
+++ cbv2/src/southbridge/via/vt8237r/Config.lb
@@ -17,7 +17,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 
 config chip.h
 
@@ -28,6 +28,6 @@ driver vt8237r_lpc.o
 driver vt8237r_sata.o
 driver vt8237r_usb.o
 driver vt8237r_nic.o
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object vt8237_fadt.o
 end
